Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Attributes | List of all members
TiXmlString Class Reference

`#include <tinystr.h>`

Inheritance diagram for TiXmlString:

## Public Types
typedef size_t | size_type

## Public Member Functions
| TiXmlString ()
| TiXmlString (const TiXmlString &copy)
TIXML_EXPLICIT | TiXmlString (const char *copy)
TIXML_EXPLICIT | TiXmlString (const char *str, size_type len)
| ~TiXmlString ()
TiXmlString & | operator= (const char *copy)
TiXmlString & | operator= (const TiXmlString &copy)
TiXmlString & | operator+= (const char *suffix)
TiXmlString & | operator+= (char single)
TiXmlString & | operator+= (const TiXmlString &suffix)
const char * | c_str () const
const char * | data () const
size_type | length () const
size_type | size () const
bool | empty () const
size_type | capacity () const
const char & | at (size_type index) const
char & | operator[] (size_type index) const
size_type | find (char lookup) const
size_type | find (char tofind, size_type offset) const
void | clear ()
void | reserve (size_type cap)
TiXmlString & | assign (const char *str, size_type len)
TiXmlString & | append (const char *str, size_type len)
void | swap (TiXmlString &other)

## Static Public Attributes
static const size_type | npos = static_cast< TiXmlString::size_type >(-1)

## Member Typedef Documentation

typedef size_t size_type

## Constructor & Destructor Documentation

TiXmlString | ( |  | ) |
| inline

TiXmlString | ( | const TiXmlString & | copy | ) |
| inline

TIXML_EXPLICIT TiXmlString | ( | const char * | copy | ) |
| inline

TIXML_EXPLICIT TiXmlString | ( | const char * | str,
|  | size_type | len
| ) |  |
| inline

~TiXmlString | ( |  | ) |
| inline

## Member Function Documentation

TiXmlString & append | ( | const char * | str,
|  | size_type | len
| ) |  |

TiXmlString & assign | ( | const char * | str,
|  | size_type | len
| ) |  |

const char& at | ( | size_type | index | ) | const
| inline

const char* c_str | ( |  | ) | const
| inline

size_type capacity | ( |  | ) | const
| inline

void clear | ( |  | ) |
| inline

const char* data | ( |  | ) | const
| inline

bool empty | ( |  | ) | const
| inline

size_type find | ( | char | lookup | ) | const
| inline

size_type find | ( | char | tofind,
|  | size_type | offset
| ) |  | const
| inline

size_type length | ( |  | ) | const
| inline

TiXmlString& operator+= | ( | const char * | suffix | ) |
| inline

TiXmlString& operator+= | ( | char | single | ) |
| inline

TiXmlString& operator+= | ( | const TiXmlString & | suffix | ) |
| inline

TiXmlString& operator= | ( | const char * | copy | ) |
| inline

TiXmlString& operator= | ( | const TiXmlString & | copy | ) |
| inline

char& operator[] | ( | size_type | index | ) | const
| inline

void reserve | ( | size_type | cap | ) |

size_type size | ( |  | ) | const
| inline

void swap | ( | TiXmlString & | other | ) |
| inline

## Member Data Documentation

const TiXmlString::size_type npos = static_cast< TiXmlString::size_type >(-1)
| static

The documentation for this class was generated from the following files:

- persistence/tinyXML/tinystr.h
- persistence/tinyXML/tinystr.cpp